#include <iostream>
#include <fstream>
#include<iomanip>
#include<cmath>
using namespace std;
int main()
{
	int a[10000];
	int dem=0;
	int s=0;
	int n;
	ifstream fi("DEMDUONG.inp");
	fi>>n;
	ofstream fo("DEMDUONG.out");
	for(int i=0;i<=n-1;i++)
	{
		fi>>a[i];
		if(a[i]>0)
		{
			dem=dem+1;
			s=s+a[i];
		}
	}
	fi.close();
	fo<<dem<<" "<<s;
	fo.close();
}
